Bug 454269 - Notification from Spectacle confuses 'copy to clipboard' with 'save to clipboard'
Summary: Notification from Spectacle confuses 'copy to clipboard' with 'save to clipbo...
Status: RESOLVED FIXED
Alias: None
Product: Spectacle
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: Neon Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Boudhayan Gupta
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-23 12:08 UTC by Patrick Silva
Modified: 2022-05-24 19:50 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 22.08


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2022-05-23 12:08:45 UTC
STEPS TO REPRODUCE
1. open Spectacle settings, open the combobox under 'After taking a screenshot' and select "Copy image to clipboard",
click on 'OK' button
2. close Spectacle
3. take a screenshot by pressing shift+print

OBSERVED RESULT
A notification says:
'Full screen captured
A screenshot was saved to your clipboard.'

EXPECTED RESULT
notice that the option selected in Spectacle settings is "Copy image to clipboard", not "Save image to clipboard".
Therefore, replace 'A screenshot was saved to your clipboard' with 'A screenshot was copied to your clipboard'
in the notification.

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.25.80
KDE Frameworks Version: 5.95.0
Qt Version: 5.15.4
Graphics Platform: Wayland
Comment 1 Patrick Silva 2022-05-23 14:25:08 UTC
When 'Copy file location to clipboard' is selected in Spectacle settings, the notification says '...the file path of the screenshot has seen saved to your clipboard.'

Expected: '...the file path of the screenshot has seen copied to your clipboard.'
Comment 2 Bug Janitor Service 2022-05-23 18:14:53 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/spectacle/-/merge_requests/136
Comment 3 Felipe Kinoshita 2022-05-24 19:09:58 UTC
Git commit 9f65817430eca40a051b56f7296ac78525dbb83e by Felipe Kinoshita.
Committed on 23/05/2022 at 18:11.
Pushed by ngraham into branch 'master'.

Change "saved" to "copied" in post screenshot messages

This commit replaces "saved" with "copied" when referring to the
clipboard.

M  +2    -2    src/SpectacleCore.cpp

https://invent.kde.org/graphics/spectacle/commit/9f65817430eca40a051b56f7296ac78525dbb83e